<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../javadoc.css" title="Style">
</head>
<body>
<h1 class="bar"><a href="../../../org/gradle/tooling/package-summary.html" target="classFrame">org.gradle.tooling</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="BuildAction.html" title="interface in org.gradle.tooling" target="classFrame"><i>BuildAction</i></a></li>
<li><a href="BuildActionExecuter.html" title="interface in org.gradle.tooling" target="classFrame"><i>BuildActionExecuter</i></a></li>
<li><a href="BuildController.html" title="interface in org.gradle.tooling" target="classFrame"><i>BuildController</i></a></li>
<li><a href="BuildLauncher.html" title="interface in org.gradle.tooling" target="classFrame"><i>BuildLauncher</i></a></li>
<li><a href="CancellationToken.html" title="interface in org.gradle.tooling" target="classFrame"><i>CancellationToken</i></a></li>
<li><a href="CancellationTokenSource.html" title="interface in org.gradle.tooling" target="classFrame"><i>CancellationTokenSource</i></a></li>
<li><a href="ConfigurableLauncher.html" title="interface in org.gradle.tooling" target="classFrame"><i>ConfigurableLauncher</i></a></li>
<li><a href="Failure.html" title="interface in org.gradle.tooling" target="classFrame"><i>Failure</i></a></li>
<li><a href="LongRunningOperation.html" title="interface in org.gradle.tooling" target="classFrame"><i>LongRunningOperation</i></a></li>
<li><a href="ModelBuilder.html" title="interface in org.gradle.tooling" target="classFrame"><i>ModelBuilder</i></a></li>
<li><a href="ProgressEvent.html" title="interface in org.gradle.tooling" target="classFrame"><i>ProgressEvent</i></a></li>
<li><a href="ProgressListener.html" title="interface in org.gradle.tooling" target="classFrame"><i>ProgressListener</i></a></li>
<li><a href="ProjectConnection.html" title="interface in org.gradle.tooling" target="classFrame"><i>ProjectConnection</i></a></li>
<li><a href="ResultHandler.html" title="interface in org.gradle.tooling" target="classFrame"><i>ResultHandler</i></a></li>
<li><a href="TestLauncher.html" title="interface in org.gradle.tooling" target="classFrame"><i>TestLauncher</i></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="GradleConnector.html" title="class in org.gradle.tooling" target="classFrame">GradleConnector</a></li>
</ul>
<h2 title="Exceptions">Exceptions</h2>
<ul title="Exceptions">
<li><a href="BuildActionFailureException.html" title="class in org.gradle.tooling" target="classFrame">BuildActionFailureException</a></li>
<li><a href="BuildCancelledException.html" title="class in org.gradle.tooling" target="classFrame">BuildCancelledException</a></li>
<li><a href="BuildException.html" title="class in org.gradle.tooling" target="classFrame">BuildException</a></li>
<li><a href="GradleConnectionException.html" title="class in org.gradle.tooling" target="classFrame">GradleConnectionException</a></li>
<li><a href="ListenerFailedException.html" title="class in org.gradle.tooling" target="classFrame">ListenerFailedException</a></li>
<li><a href="TestExecutionException.html" title="class in org.gradle.tooling" target="classFrame">TestExecutionException</a></li>
<li><a href="UnknownModelException.html" title="class in org.gradle.tooling" target="classFrame">UnknownModelException</a></li>
<li><a href="UnsupportedVersionException.html" title="class in org.gradle.tooling" target="classFrame">UnsupportedVersionException</a></li>
</ul>
</div>
</body>
</html>
